exports.URL = class URL {
  constructor() {
    this.www = false;
    this.http = false;
    this.subdomain = null;
    this.domain = null;
    this.ending = null;
    this.directories = [];
  }
  isWWW(bool) {
    if (bool === true) {
      this.www = true;  
    } else if (bool === false) {
      this.www = false;  
    }
    return this;
  }
  isHTTP(bool) {
    if (bool === true) {
      this.http = true; 
    } else if (bool === false) {
      this.http = false; 
    }
    return this;
  }
  setSubdomain(string) {
    this.subdomain = string;
    return this;
  }
  setDomain(string) {
    this.domain = string;
    return this;
  }
  setEnding(string) {
    this.ending = string;
    return this;
  }
  addDirectory(string) {
    this.directories.push(string);
    return this;
  }
  getURL() {
    var x  = "";
    if (this.http === true) {
      x += "http://";  
    } else if (this.http === false) {
      x += "https://";  
    }
    if (this.www === true) {
      x +="www.";
    }
    if (this.subdomain === null) {
      x += `${this.domain}.${this.ending}/`;
    } else {
    	x += `${this.subdomain}.${this.domain}.${this.ending}/`;
    }
    if (this.domain == "" || this.ending == "") {
    	return "There must be a domain or an ending (com, org, net) specified. It must not be left blank or null.";
    }
    for (var i = 0; i < this.directories.length; i++) {
      x += this.directories[i] + "/";
    }
    return x;
  }
}
